ECLIPSE(1)

NAME
Eclipse SUMO dfrouter Version - Builds vehicle routes for SUMO using detector values

SYNOPSIS
dfrouter [OPTION]*

DESCRIPTION
Eclipse SUMO dfrouter Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Builds vehicle routes for SUMO using detector values.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Loads the SUMO-network FILE

-d, --detector-files FILE
    Loads detector descriptions from FILE

-f, --measure-files FILE
    Loads detector flows from FILE(s)

  Output Options:

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

-o, --routes-output FILE
    Saves computed routes to FILE

--routes-for-all
    Forces dfrouter to compute routes for in-between detectors

--detector-output FILE
    Saves typed detectors to FILE

--detectors-poi-output FILE
    Saves detector positions as pois to FILE

--emitters-output FILE
    Saves emitter definitions for source detectors to FILE

--vtype
    Add vehicle types to the emitters file (PKW, LKW)

--vtype-output FILE
    Write generated vehicle types into separate FILE instead of including them into the emitters-output

--emitters-poi-output FILE
    Saves emitter positions as pois to FILE

--variable-speed-sign-output FILE
    Saves variable seed sign definitions for sink detectors to FILE

--end-reroute-output FILE
    Saves rerouter definitions for sink detectors to FILE

--validation-output FILE

--validation-output.add-sources

  Processing Options:

--guess-empty-flows
    Derive missing flow values from upstream or downstream (not working!)

-h, --highway-mode
    Switches to highway-mode

--ignore-invalid-detectors
    Only warn about unparseable detectors

--revalidate-detectors
    Recomputes detector types even if given

--revalidate-routes
    Recomputes routes even if given

--keep-unfinished-routes
    Keeps routes even if they have exhausted max-search-depth

--keep-longer-routes
    Keeps routes even if a shorter one exists

--max-search-depth INT
    Number of edges to follow a route without passing a detector

--emissions-only
    Writes only emission times

--disallowed-edges STR[]
    Do not route on these edges

--vclass STR
    Only route on edges allowing the given vclass

--keep-turnarounds
    Allow turnarounds as route continuations

--min-route-length FLOAT
    Minimum distance in meters between start and end node of every route

--randomize-flows
    generate random departure times for emitted vehicles

--time-factor TIME
    Multiply flow times with TIME to get seconds

--time-offset TIME
    Subtracts TIME seconds from (scaled) flow times

--time-step TIME
    Expected distance between two successive data sets

--calibrator-output
    Write calibrators to FILE

--include-unused-routes

--revalidate-flows

--remove-empty-detectors
    Removes empty detectors from the list

--strict-sources

--respect-concurrent-inflows
    Try to determine further inflows to an inbetween detector when computing split probabilities

--scale FLOAT
    Scale factor for flows

  Defaults Options:

--departlane STR
    Assigns a default depart lane

--departpos STR
    Assigns a default depart position

--departspeed STR
    Assigns a default depart speed

--arrivallane STR
    Assigns a default arrival lane

--arrivalpos STR
    Assigns a default arrival position

--arrivalspeed STR
    Assigns a default arrival speed

--speeddev FLOAT
    The default speed deviation of vehicles

  Time Options:

-b, --begin TIME
    Defines the begin time; Previous defs will be discarded

-e, --end TIME
    Defines the end time; Later defs will be discarded; Defaults to one day

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--report-empty-detectors
    Lists detectors with no flow (enable -v)

--print-absolute-flows
    Prints aggregated detector flows

--no-step-log
    Disable console output of route parsing step

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

EXAMPLES

    dfrouter -c <CONFIGURATION>

    run routing with options from file

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO dfrouter Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later